%define upstream_name    Monitoring-Availability
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Load/Store/Access Logfiles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More) >= 0.870.0
BuildArch:  noarch

%description
This module calculates the availability for hosts/server from given
logfiles. The Logfileformat is Nagios/Icinga only.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.460.0-11.mga9
+ Revision: 1809756
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.460.0-10.mga8
+ Revision: 1505286
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.460.0-9.mga7
+ Revision: 1284973
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.460.0-8.mga7
+ Revision: 1165573
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.460.0-7.mga7
+ Revision: 1160242
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.460.0-6.mga6
+ Revision: 1030313
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.460.0-5.mga6
+ Revision: 943901
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-4.mga5
+ Revision: 750255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-3.mga5
+ Revision: 685489
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.460.0-2.mga4
+ Revision: 527122
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.460.0-1.mga4
+ Revision: 439572
- update to 0.46

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 370042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 342386
- update to 0.40

* Wed Jul 04 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 267390
- update to 0.38

* Tue Jun 05 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 255733
- adding missing buildrequires:
- update to 0.36

* Mon Mar 05 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 218762
- update to 0.24
- update to 0.20

* Tue Apr 19 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 88536
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 28660
- mageia rebuild
- imported package perl-Monitoring-Availability


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 627146
- import perl-Monitoring-Availability

